<script lang="ts">
    import ScoreBoard from './ScoreBoard.svelte'

    export let expanded
</script>

<nav class:expanded>
    <ul>
        <li><a href="/game/research">Researches</a></li>
        <li><a href="/game/planet">Planet</a></li>
        <li>
            <ScoreBoard />
        </li>
    </ul>
</nav>

<style lang="postcss">
    nav {
        @apply relative col-span-4 xl:col-span-5;
        clip-path: polygon(100% 0, 100% calc(100% - 0.75rem), 0 100%, 2rem 0);

        &.expanded {
            @apply col-span-6;
        }

        &::before {
            content: '';
            @apply absolute inset-0 z-[-1] -ml-2
            bg-gradient-to-r from-indigo-200 to-fuchsia-200
            dark:from-indigo-900 dark:to-fuchsia-900;
        }

        ul {
            @apply h-full flex;

            li {
                @apply flex;
                clip-path: polygon(100% 0, calc(100% - 2rem) 100%, 0 100%, 2rem 0);

                &:first-child {
                    clip-path: polygon(100% 0, calc(100% - 2rem) 100%, 0 100%, 0 0);
                }

                &:not(:last-child) {
                    @apply -mr-8;
                }

                &:last-child {
                    @apply flex-1 justify-end;
                    clip-path: polygon(100% 0, 100% 100%, 0 100%, 2rem 0);
                }

                a {
                    @apply flex items-center text-trueGray-800 font-semibold px-8
                    hover:bg-white/20 focus:bg-white/30 active:bg-white/30
                    dark:text-trueGray-100
                    hover:dark:bg-white/10 focus:dark:bg-white/20 active:dark:bg-white/20
                    transition-all duration-150 ease-out;
                }
            }
        }
    }
</style>
